perl-docs-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From s...@apache.org
Subject cvs commit: modperl-docs/src/docs/2.0/devel/porting porting.pod
Date Wed, 29 Jan 2003 05:19:32 GMT
stas        2003/01/28 21:19:31

  Modified:    src/docs/2.0/devel/porting porting.pod
  Log:
  don't forget to load Apache2
  
  Revision  Changes    Path
  1.6       +9 -3      modperl-docs/src/docs/2.0/devel/porting/porting.pod
  
  Index: porting.pod
  ===================================================================
  RCS file: /home/cvs/modperl-docs/src/docs/2.0/devel/porting/porting.pod,v
  retrieving revision 1.5
  retrieving revision 1.6
  diff -u -r1.5 -r1.6
  --- porting.pod	29 Jan 2003 05:14:17 -0000	1.5
  +++ porting.pod	29 Jan 2003 05:19:31 -0000	1.6
  @@ -64,12 +64,18 @@
   
   To require a module to run only under 2.0, simply add:
   
  +  use Apache2;
     use mod_perl 2.0;
   
  -to your module. You can also use the variable C<$mod_perl::VERSION>.
  +to your module. You can also use the variable
  +C<$mod_perl::VERSION>. But you should always load C<Apache2> first, so
  +it'll adjust C<@INC>, if mod_perl 2.0 is installed on the same base
  +with mod_perl 1.0.
   
  -(META: Well before 2.0 is released you really have to say: 
  -C<use mod_perl 1.99;>)
  +META: Well before 2.0 is released you really have to say:
  +
  +  use Apache2;
  +  use mod_perl 1.99;
   
   In the configuration file you can use a special configuration "define"
   symbol C<MODPERL2> which is enabled internally, as if the server had
  
  
  

---------------------------------------------------------------------
To unsubscribe, e-mail: docs-cvs-unsubscribe@perl.apache.org
For additional commands, e-mail: docs-cvs-help@perl.apache.org


Mime
View raw message